﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace StandardCsTemplate.Views
{
  /// <summary>
  /// SampleDialog.xaml の相互作用ロジック
  /// </summary>
  public partial class SampleDialog : Window
  {
    public SampleDialog()
    {
      InitializeComponent();
    }

    private void OkButton_Click( object sender, RoutedEventArgs e )
    {
      var vm = this.DataContext as ViewModels.VmSampleDialog;
      if ( vm != null ) vm.OnOK();
      this.DialogResult = true;
      this.Close();
    }

    private void CancelButton_Click( object sender, RoutedEventArgs e )
    {
      this.Close();
    }
  }
}
